using UnityEngine;

public enum eUICardType { None, UI, NoTouch, }

public class CardBase : MonoBehaviour
{
    public virtual void Set() { Set_Active(); }
    public virtual void Set(int _val) { Set_Active(); }
    public virtual void Set<T>(T _base, int iLoop = -1, int idata = -1) { Set_Active(); }
    void Set_Active()
    {
        if (!gameObject.activeInHierarchy)
            gameObject.SetActive(true);
    }
    public virtual void Set_UI() { }

    public virtual void Set_Selected(bool active) { }

    public virtual int Get_IntData() { return 0; }

    protected eUICardType CardType = eUICardType.None;
    public virtual void Set_CardType(eUICardType _type) { CardType = _type; }
    public virtual void Set_CardEffectOrder(int _order) { }
    public virtual void Do_SomeThing() { }
}